VismaBouwsoftAPICalls.v1_POST_Payments Method
v1_POST_Payments() as String

This API call is used to add a(n) Payment

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /Payments
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
purchaseinvoice_id 1 tpLong 0 No Yes No
purchaseinvoice_nr 1 tpLong 0 No No No
salesinvoice_id 1 tpLong 0 No Yes No
salesinvoice_type 2 tpString 50 No No No
salesinvoice_nr 1 tpLong 0 No No No
address_id 1 tpLong 0 No Yes No
address_name 2 tpString 150 No No No
paymentaccount_id 1 tpLong 0 No Yes No
paymentaccount_nr 2 tpString 100 No No No
paymentaccount_name 2 tpString 150 No No No
date 3 tpDate 0 No Yes No
amount 8 tpCurrency 0 No Yes No
paymentmethod 2 tpString 0 No No No
paymentmethod_localized 2 tpString 0 No No No
advance 5 tpBool 0 No No No
iban 2 tpString 35 No Yes No
bic 2 tpString 11 No Yes No
note 2 tpString 0 No Yes No
docnr 2 tpString 50 No Yes No
statementnr 2 tpString 50 No Yes No
externalcode 2 tpString 250 No Yes No
externalsource 1 tpLong 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Payments

API Path: /Payments/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Payments

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: mOlfWxfDjrzSfOjVlfzRqlAjfbrbfGtbfDlkzGrkOmjGVmrlDO

Query Parameters :
ParameterName: columns, ParameterValue: purchaseinvoice_id=208,amount=100.05

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 903,
    "purchaseinvoice_id": 208,
    "purchaseinvoice_nr": 20160041,
    "salesinvoice_id": 0,
    "salesinvoice_type": "",
    "salesinvoice_nr": 0,
    "address_id": 18942,
    "address_name": "Spike Needle",
    "paymentaccount_id": 0,
    "paymentaccount_nr": "",
    "paymentaccount_name": "",
    "date": "2026–05–07",
    "amount": 100.049999999999997,
    "paymentmethod": "",
    "paymentmethod_localized": "",
    "advance": false,
    "iban": "",
    "bic": "",
    "note": "",
    "docnr": "",
    "statementnr": "",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2026–05–07 09:21:28"
  }
]
}